# polynomial_root.cpp File Reference

Template File. More...

`#include "polynomial_root.h"`
`#include <complex>`

## Defines

#define | EPSS 1.0e-7
#define | MR 8
#define | MT 10
#define | MAXIT (MT*MR)
#define | EPS 2.0e-6
#define | MAXM 100

## Typedefs

typedef complex< float > | Complex

## Functions

void | laguer (Complex a[], int m, Complex *x, int *its)

## Detailed Description

Template File.

$Id$

## Define Documentation

#define EPSS 1.0e-7

Referenced by laguer().

#define MR 8

Referenced by laguer().

#define MT 10

Referenced by laguer().

#define MAXIT (MT*MR)

Referenced by laguer().

#define EPS 2.0e-6

Referenced by RootFinder::find_all_roots().

#define MAXM 100

Referenced by RootFinder::find_all_roots().

## Typedef Documentation

typedef complex<float> Complex

## Function Documentation

void laguer | ( | Complex | a[],
|  | int | m,
|  | Complex * | x,
|  | int * | its |
| ) |  |  |

References std::abs(), EPSS, f, MAXIT, MR, and MT.

Referenced by RootFinder::find_all_roots().